Download it now!
Bug 104303 - CUPS Print dialog page preview incorrect with default paper size US Letter and prints pages with offset
Summary: CUPS Print dialog page preview incorrect with default paper size US Letter an...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2016-11-30 22:53 UTC by Ben Conder
Modified: 2020-07-26 03:52 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Showing the differences to print preview vs the page. Printing the page looks the same as the preview. (219.97 KB, image/png)
2016-11-30 22:53 UTC, Ben Conder
Details
Document that gets Margin issues for me. (18.94 KB, application/vnd.oasis.opendocument.text)
2016-11-30 23:07 UTC, Ben Conder
Details
I updated my LibreOffice to Version: 5.2.3.3. It didn't fix it. (1.06 MB, application/zip)
2016-12-01 19:10 UTC, Ben Conder
Details
Print Preview looks fine. However. (127.81 KB, image/png)
2016-12-01 19:12 UTC, Ben Conder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Conder 2016-11-30 22:53:03 UTC
Created attachment 129172 [details]
Showing the differences to print preview vs the page. Printing the page looks the same as the preview.

If you have your default paper size set to US Letter on Mac OS X and print something all the text is skewed and incorrect. If I put my default paper size to A4 in Mac OS X printer settings it will print correctly. 

LibreOffice is set to use 8.5x11(US Letter). 

Margins are 1 inch. Header should .5 inches from the top. 

It does it with any new documents I make or new documents made with Microsoft Office Word. 

Bug is also in presentation. 

Doesn't matter what printer I use.
Comment 1 Ben Conder 2016-11-30 23:07:05 UTC
Created attachment 129173 [details]
Document that gets Margin issues for me.

If I open this document on the Linux LibreOffice it works fine. Only the OS X versions have problems for me.
Comment 2 Alex Thurgood 2016-12-01 08:24:51 UTC
Unfortunately, I have no way to test this, as I'm in Europe where A4 is the default paper size. If I try to print out your document to my HP networked laser printer, I get asked to insert Letter sized paper in tray 2. As I don't have any Letter sized paper, I of course inserted A4, which then proceeds to print the 3 pages of the document as they appear on screen with LibreOffice, so no repro for me, but the test conditions aren't those that you have.

Version: 5.2.3.3
Build ID: d54a8868f08a7b39642414cf2c8ef2f228f780cf
Threads CPU : 2; Version de l'OS :Mac OS X 10.12.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 3 Alex Thurgood 2016-12-01 08:29:08 UTC
Changed title, as after looking at your screenshot, I see that you mean that the print dialog preview, is the one that gets printed, and not the page as it displays in Writer.

Could you also provide a screenshot of "Print Preview" in the File menu within LibreOffice to compare with that provided by the CUPS print dialog ?

Setting to NEEDINFO.
Comment 4 Alex Thurgood 2016-12-01 08:34:21 UTC
Additionally, LO 5162 is EOL (November 27, 2016).

Please upgrade to a current release of LO 5.2, retest and report back your findings.
Comment 5 Alex Thurgood 2016-12-01 08:35:12 UTC
Also note that the release of LO 5162 unfortunately introduced some other nasty regressions which won't be fixed.
Comment 6 Ben Conder 2016-12-01 19:10:19 UTC
Created attachment 129194 [details]
I updated my LibreOffice to Version: 5.2.3.3. It didn't fix it.

If you follow the 3 setup steps in my attachment you might be able to replicate my problem.
Comment 7 Ben Conder 2016-12-01 19:12:56 UTC
Created attachment 129195 [details]
Print Preview looks fine. However.

but once I click print it brings up the windows again with the faulty document preview.
Comment 8 Ben Conder 2016-12-01 20:06:37 UTC
Alright!, I didn't know the Print Dialog window I got was because I was using a CUPs print server. I was getting worried they removed some functionality for sake of simplicity. 

Is there a way to get the main printer dialog windows to be used instead of the CUPS one? On my other OS X machine if I removed all my printers it seemed to fix it. On my MacBook I have a few printers I don't really want to have to re-add.
Comment 9 Ben Conder 2016-12-01 21:22:40 UTC
I found out I could get the LibreOffice Printer Dialog box by running this command into terminal.

sudo launchctl unload -w /System/Library/LaunchDaemons/org.cups.cupsd.plist

If you want your printers back then run 

sudo launchctl load -w /System/Library/LaunchDaemons/org.cups.cupsd.plist


I was able to replicate this bug on 3 OS X devices. 

Another strange things is after I unloaded and loaded the the Daemons the print out was only 1/8 inch off instead of 5/16 of an inch off. 

I will add that Microsoft Word 2016 15.19.1 has no problems printing. It even opens up the same printer dialog box. the preview doesn't have any problems as well as the physical printed copy. 

All my problems seem to be fixed as long as I have A4 set as my default paper size. Having A4 set as default doesn’t seem to effect the few programs I’ve tested. Word, Adobe Photoshop, Adobe Acrobat, AutoCAD, Chrome printing. So it’s fine as a temporary fix. 

I will say that it may be hard to notice the subtle differences as I’ve had it range from 1/8-5/16th of an inch. 3mm to 8mm for metric. I would use a ruler to make sure. 

I’m hoping someone else can replicate this. If not I’ll have to point it to something with my home printer/cups server. Although LibreOffice on Linux and Windows print just fine with no issues.
Comment 10 Alex Thurgood 2016-12-02 08:16:48 UTC
Thanks Ben for all the information and updates.

Re CUPS printing dialog : unfortunately, LibreOffice uses this systematically, and I suspect that therein lies the underlying problem. A conscious decision was made to switch entirely to the CUPS subsystem for printing on Mac and Linux rather than the lpd interface that used to exist. You might even be able to find in earlier versions of LibreOffice a tool called "spadmin". This tool was removed from the app bundles (I don't know why) for OSX to rely only on the OSX-provided CUPS subsystem, albeit as a subset of the complete functionality as far as I'm aware (in other words, a simplified UI dialog when displayed from within LO). At some stage, further code changes caused the CUPS subsystem print dialog to print Letter-sized pages with an offset on the Mac.

So, I'm pretty sure that this is a DUPLICATE of already reported behaviour, but I will have to trawl through the bug database to try and find something. As I know that this has been reported before, at least on the user mailing list, I'm going to set this report to NEW for the time being.
Comment 11 Alex Thurgood 2016-12-02 08:29:46 UTC
Bug 81065 seems to be a fairly good summary of the various bugs affecting CUPS printing with Letter-sized paper on multiple OSes.
Comment 12 QA Administrators 2018-07-26 02:41:26 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2020-07-26 03:52:07 UTC
Dear Ben Conder,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug